summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorTommy Reynolds <Tommy.Reynolds@MegaCoder.com>2006-01-06 17:39:16 +0000
committerTommy Reynolds <Tommy.Reynolds@MegaCoder.com>2006-01-06 17:39:16 +0000
commitea4b54e65f23dac24f74515380bee95a65489941 (patch)
treeb2751ff906d9800827d805524e26d26144cb4987 /bin
parent571db9badcaa83904fdc9ac0f868a1e031e11d90 (diff)
downloadfedora-doc-utils-ea4b54e65f23dac24f74515380bee95a65489941.tar.gz
fedora-doc-utils-ea4b54e65f23dac24f74515380bee95a65489941.tar.xz
fedora-doc-utils-ea4b54e65f23dac24f74515380bee95a65489941.zip
Shell script to extract <articleinfo> or <bookinfo> currently in an XML
document and use it to generate a skeleton "rpm-info.xml" file.
Diffstat (limited to 'bin')
-rwxr-xr-xbin/db2rpm-info8
1 files changed, 8 insertions, 0 deletions
diff --git a/bin/db2rpm-info b/bin/db2rpm-info
new file mode 100755
index 0000000..c27f9da
--- /dev/null
+++ b/bin/db2rpm-info
@@ -0,0 +1,8 @@
+#!/bin/sh
+BINDIR=`dirname $01`
+if [ $# -ne 1 ]; then
+ echo "usage: `basename $0` docfile.xml" >&2
+ exit 1
+fi
+xsltproc ${BINDIR}/../packaging/info2rpminfo.xsl $1 |
+${BINDIR}/xmlformat -f ${BINDIR}/xmlformat-fdp.conf